#ifndef _flash_h
#define _flash_h

void flash_init();

void flash_init_partition(const char *partitionName);

void flash_write_byte(const char *partitionName,const char *varName, void *data, unsigned int size);

unsigned int flash_read_byte(const char *partitionName,const char *varName, void *data, unsigned int size);

void flash_erase_partition(const char *partitionName);

void flash_deinit();

#endif